%define name gai
%define version 0.5.0pre5
%define release 1

Summary: General Applet Interface Library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: Development/Libraries
URL: http://gai.sf.net
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
This library is intended to simplify the development and use of
dockapps and gnome panel applets. With this library the programmer
can focus on what the applet shall do, not on the interface.

%package devel
Group: Development/Libraries
Summary: Development files for the General Applet Interface Library
Requires: %{name} = %{version}

%description devel
This library is intended to simplify the development and use of
dockapps and gnome panel applets. With this library the programmer
can focus on what the applet shall do, not on the interface.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --prefix=%{buildroot}/usr
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}
make install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_libdir}/libgai*

%files devel
%defattr(-,root,root)
%{_includedir}/gai
%{_libdir}/pkgconfig/gai.pc

# end of file
